package com.qmth.teachcloud.mark.dto.mark.manage;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.teachcloud.mark.entity.MarkHeaderTrack;
import com.qmth.teachcloud.mark.entity.MarkTrack;

public class MarkerTrackDTO extends TrackDTO {

    private static final long serialVersionUID = -7010285593473357594L;

    @JsonSerialize(using = ToStringSerializer.class)
    private Long userId;
    private Boolean headerMarkScore;

    private String userName;

    public MarkerTrackDTO(MarkTrack track,String userName) {
        super(track);
        this.userId = track.getUserId();
        this.userName=userName;
    }

    public MarkerTrackDTO(MarkHeaderTrack markHeaderTrack,String userName) {
        super(markHeaderTrack);
        this.userId = markHeaderTrack.getUserId();
        this.userName=userName;
        this.headerMarkScore = true;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Boolean getHeaderMarkScore() {
        return headerMarkScore;
    }

    public void setHeaderMarkScore(Boolean headerMarkScore) {
        this.headerMarkScore = headerMarkScore;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }
}
